Skip to main content
PUT
/
gpus
/
v2
/
endpoints
/
{endpoint_id}
Update Endpoint
curl --request PUT \
  --url https://api.novita.ai/gpus/v2/endpoints/{endpoint_id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "name": "example-endpoint-updated",
  "product_id": "product-id",
  "policy": {
    "type": "queue",
    "value": 200
  },
  "image": "registry.example.com/namespace/image:new-tag",
  "registry_auth_id": "registry-auth-id",
  "entrypoint": "",
  "command": "cargo build",
  "health_check": {
    "path": "/healthz",
    "port": 8080
  },
  "envs": [
    {
      "key": "ENV_NAME",
      "value": "NEW_VALUE"
    }
  ],
  "ports": [
    8080
  ],
  "volumes": [
    {
      "id": "storage-id",
      "type": "network",
      "size": 123,
      "mount_point": "/data"
    }
  ],
  "region_id": "region-id"
}
'
import requests

url = "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}"

payload = {
"name": "example-endpoint-updated",
"product_id": "product-id",
"policy": {
"type": "queue",
"value": 200
},
"image": "registry.example.com/namespace/image:new-tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "cargo build",
"health_check": {
"path": "/healthz",
"port": 8080
},
"envs": [
{
"key": "ENV_NAME",
"value": "NEW_VALUE"
}
],
"ports": [8080],
"volumes": [
{
"id": "storage-id",
"type": "network",
"size": 123,
"mount_point": "/data"
}
],
"region_id": "region-id"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
name: 'example-endpoint-updated',
product_id: 'product-id',
policy: {type: 'queue', value: 200},
image: 'registry.example.com/namespace/image:new-tag',
registry_auth_id: 'registry-auth-id',
entrypoint: '',
command: 'cargo build',
health_check: {path: '/healthz', port: 8080},
envs: [{key: 'ENV_NAME', value: 'NEW_VALUE'}],
ports: [8080],
volumes: [{id: 'storage-id', type: 'network', size: 123, mount_point: '/data'}],
region_id: 'region-id'
})
};

fetch('https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Headers

Content-Type
string
required

Allowed value: application/json.

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

endpoint_id
string
required

Endpoint ID. String, length: 1-255 characters.

Body

application/json
name
string

Endpoint name.

Example:

"example-endpoint-updated"

product_id
string

Serverless product ID. String, length: 1-255 characters.

Example:

"product-id"

worker_config
object

Worker configuration.

policy
object

Scheduling / request policy.

image
string

Image address. String, length: 0-500 characters.

Example:

"registry.example.com/namespace/image:new-tag"

registry_auth_id
string

Saved registry authentication ID. String, length: 0-255 characters.

Example:

"registry-auth-id"

entrypoint
string

Container entrypoint.

Example:

""

command
string

Startup command.

Example:

"cargo build"

health_check
object

Health check configuration.

envs
object[]

Environment variable list.

ports
integer[]

Port list. Each value in range: [1, 65535].

Example:
[8080]
volumes
object[]

Mount list.

region_id
string

Region ID.

Example:

"region-id"

Response

200 - application/json

OK

The response is of type object.

Last modified on June 26, 2026